Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.taglib
Class ForEachTagExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--de.ix.jspTutorial.taglib.ForEachTagExtraInfo

public class ForEachTagExtraInfo
extends javax.servlet.jsp.tagext.TagExtraInfo

Angabe der Attribute aus dem Tag foreach `ForEachTag`

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`static java.lang.String` | `vcid` Source-Version

Fields inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`tagInfo`

Constructor Summary
`ForEachTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData aTagdata)` Definition der Variable Info für `item`
`boolean` | `isValid(javax.servlet.jsp.tagext.TagData aTagdata)` Prüfe ob im Tag die Attribute item und list enthalten sind

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  Source-Version

Constructor Detail

### ForEachTagExtraInfo

    public ForEachTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData aTagdata)

  Definition der Variable Info für `item`
  Overrides:
    getVariableInfo in class javax.servlet.jsp.tagext.TagExtraInfo
  Parameters:
    `aTagdata` -
  Returns:
    VariableInfo für `item```

### isValid

    public boolean isValid(javax.servlet.jsp.tagext.TagData aTagdata)

  Prüfe ob im Tag die Attribute item und list enthalten sind
  Overrides:
    isValid in class javax.servlet.jsp.tagext.TagExtraInfo
  Parameters:
    `aTagdata` -
  Returns:
    OK wenn item und list vorliegen

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~